/* Novo código para o arquivo gif_miniaturas.css */

.lesson-card {
    background-size: cover !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    box-shadow: inset 0 0 0 1000px rgba(0, 0, 0, 0.6) !important;
}

.lesson-card:hover {
    box-shadow: inset 0 0 0 1000px rgba(0, 0, 0, 0.2), 0 15px 30px rgba(255, 215, 0, 0.2) !important;
}

.icon-cadeado {
    z-index: 2;
}

/* Aplica a sombra apenas no texto e prepara a animação para ele sumir */
.texto-oculto-hover {
    text-shadow: 2px 2px 4px rgba(0,0,0,1), -1px -1px 4px rgba(0,0,0,1);
    transition: opacity 0.3s ease; /* Efeito suave de transição */
}

/* Quando o mouse passa no botão (.lesson-card:hover), a opacidade do texto vai a zero */
.lesson-card:hover .texto-oculto-hover {
    opacity: 0;
}